# Supports Organizer.rb
=begin
Copyright 2009, Matt
All Rights Reserved

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, 
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License:   		Free
Author:     	Matthieu NOBLET
Organization:   Matt666
Name:      		Puts shadows on now !
Version:   		1.0
SU Version:   	6 and 7
Date:      		25/03/2009
Description:   	Puts shadows on actual time
Usage:      	
				
History:
	1.000   25/03/2009
			First version
=end

require 'sketchup.rb'

unless file_loaded?(__FILE__)
	file_loaded(__FILE__)
	$submenu ? (organizer = $submenu) : (organizer = UI.menu("Plugins"))
	organizer.add_item("Shadows=Now!"){ Matt_Shadows.now }
end

module Matt_Shadows
	def self.now 
		t0=Time.now.to_a[0..5].reverse
		t1=Time.gm t0[0],t0[1],t0[2],t0[3],t0[4],t0[5]
		Sketchup.active_model.shadow_info["ShadowTime"]=t1
	end
end

